Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component.spi.aamanager
Class AAManagerProxy

    java.lang.Object
      tle.framework.component.spi.aamanager.AAManagerProxy

    public class AAManagerProxy

extends java.lang.Object

AAManager에 대한 프록시 클래스

AAManager가 제공하는 기능을 필요로 하는 클래스가 존재할 경우 이 클래스를 통해서 AAManager의 기능을 간접적으로 사용하게 된다.

Since:
  2.0
Author:
  최범균

Constructor Summary
`AAManagerProxy(AAManager aaManager)`

Method Summary
`User` | `authenticate(UserAuthenticationInfo authInfo)`
`boolean` | `checkAuthorization(User user, Service service)`
`void` | `closeSession(HttpServletRequest request, HttpServletResponse response)`
`Role` | `getRole(java.lang.String roleID)`
`Service` | `getService(RequestInfo requestInfo)`
`User` | `getSessionUser(HttpServletRequest request)`
`void` | `openSession(User user, HttpServletRequest request, HttpServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AAManagerProxy

    public AAManagerProxy(AAManager aaManager)

Method Detail

### authenticate

    public User authenticate(UserAuthenticationInfo authInfo)
                      throws AAManagerException

  Throws:
    `AAManagerException`

### openSession

    public void openSession(User user,
                            HttpServletRequest request,
                            HttpServletResponse response)
                     throws AAManagerException

  Throws:
    `AAManagerException`

### closeSession

    public void closeSession(HttpServletRequest request,
                             HttpServletResponse response)
                      throws AAManagerException

  Throws:
    `AAManagerException`

### getSessionUser

    public User getSessionUser(HttpServletRequest request)
                        throws AAManagerException

  Throws:
    `AAManagerException`

### checkAuthorization

    public boolean checkAuthorization(User user,
                                      Service service)
                               throws AAManagerException

  Throws:
    `AAManagerException`

### getService

    public Service getService(RequestInfo requestInfo)
                       throws AAManagerException

  Throws:
    `AAManagerException`

### getRole

    public Role getRole(java.lang.String roleID)
                 throws AAManagerException

  Throws:
    `AAManagerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD